package es.ucm.fdi.grasia.faerie.core;

/**
 * Skeletal implementation of the {@code ContextObserver} interface. The interface methods are empty, and the
 * {@link #handles(net.faerie.core.ContextEvent)} returns true. It is provided for the clients to reimplement the
 * desired methods
 *
 * @author Chema
 * @see ContextEvent
 */
public abstract class ContextEventAdapter implements ContextObserverCallback {

	/**
	 * {@inheritDoc} This implementation returns true.
	 *
	 * @param event the generated event.
	 * @return true.
	 */
	@Override
	public int handle(ContextEvent event) {
		return ContextObserver.HANDLE_READ;
	}

	/**
	 * {@inheritDoc} This implementation does nothing.
	 *
	 * @param event the generated event.
	 */
	@Override
	public void elementAdded(ContextEvent event) {
	}

	/**
	 * {@inheritDoc} This implementation does nothing.
	 *
	 * @param event the generated event.
	 */
	@Override
	public void elementRemoved(ContextEvent event) {
	}

	/**
	 * {@inheritDoc} This implementation does nothing.
	 *
	 * @param event the generated event.
	 */
	@Override
	public void elementUpdated(ContextEvent event) {
	}
}
