package es.ucm.fdi.grasia.faerie.core;

/**
 * This exception is thrown when a component tries to access the context of the system, but it is not accessible at the
 * moment.
 * 
 * @author Chema
 * @see Context
 * @see ContextManager
 * @see ContextService
 */
public class NotAccessibleContextException extends RuntimeException {

	private static final long serialVersionUID = 8476537177145858178L;

	public NotAccessibleContextException() {
	}

	public NotAccessibleContextException(String message) {
		super(message);
	}

	public NotAccessibleContextException(Throwable cause) {
		super(cause);
	}

	public NotAccessibleContextException(String message, Throwable cause) {
		super(message, cause);
	}
}
